
From: Pavel Machek <pavel@ucw.cz>

verify is not really descriptive name of function.  Fortunately its insides
are self-documenting which makes it easy to fix.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/power/swsusp.c |   20 +++++---------------
 1 files changed, 5 insertions(+), 15 deletions(-)

diff -puN kernel/power/swsusp.c~swsusp-another-simplification kernel/power/swsusp.c
--- 25/kernel/power/swsusp.c~swsusp-another-simplification	2004-09-11 16:20:41.633316976 -0700
+++ 25-akpm/kernel/power/swsusp.c	2004-09-11 16:20:41.637316368 -0700
@@ -1126,17 +1126,6 @@ static int __init check_sig(void)
 	return error;
 }
 
-
-int __init verify(void)
-{
-	int error;
-
-	if (!(error = check_sig()))
-		error = check_header();
-	return error;
-}
-
-
 /**
  *	swsusp_read_data - Read image pages from swap.
  *
@@ -1202,13 +1191,14 @@ static int __init read_suspend_image(voi
 {
 	int error = 0;
 
-	if ((error = verify()))
+	if ((error = check_sig()))
+		return error;
+	if ((error = check_header()))
 		return error;
 	if ((error = read_pagedir()))
 		return error;
-	if ((error = data_read())) {
-		free_pages((unsigned long)pagedir_nosave,pagedir_order);
-	}
+	if ((error = data_read()))
+		free_pages((unsigned long)pagedir_nosave, pagedir_order);
 	return error;
 }
 
_
